Author Topic: Installation der MTB-Profile von Zossenbart und Poutnik  (Read 279 times)

Offline Curiosus

  • Newbie
  • *
  • Posts: 4
    • View Profile
  • Device: Samsung Galaxy A3
Installation der MTB-Profile von Zossenbart und Poutnik
« on: September 04, 2019, 15:13:57 »
Hallo Leute,

Ich nutze Locus Map Pro mit Brouter und wollte garade die MTB Profile von Zossenbart und Poutnik hinzufügen. Hatte das letztes Jahr erfolgreich nutzen können.

Doch jetzt kann ich die installierten Profile in Locus Map nicht aufrufen.
Ich habe die *.brf-Dateien in den Brouter->profile2 Ordner auf dem Smartphone kopiert.
In Locus Map ist Brouter als Offline-Navigationdienst eingebunden. Trotzdem werden mir die neuen Profile unter "Routing Profil" nicht angezeigt.

Worin kann der Fehler liegen? Hat sich etwas an dieser Vorgehensweise geändert? Oder ist es obsolet, diese MTB-Profile zu nutzen?

Gruß,  Curio
 

Offline zossebart

  • Apprentice of Locus
  • **
  • Posts: 157
  • Thanked: 20 times
    • View Profile
  • Device: Sony Z1 Compact
Re: Installation der MTB-Profile von Zossenbart und Poutnik
« Reply #1 on: September 04, 2019, 22:12:17 »
Überprüfe bitte zunächst, ob du bei den Navigationseinstellungen unter Brouter "Locus Profile" und nicht "Brouter Profile" ausgewählt hast.
Welche Brouter-Version hast du? Manuell installiert oder aus dem Playstore?

Falls es irgendwann funktioniert, würde ich mich über Feedback zu meinem Profil freuen.

Gesendet von meinem D5503 mit Tapatalk

 

Offline tapio

  • Padavan of Locus
  • ***
  • Posts: 434
  • Thanked: 36 times
    • View Profile
  • Device: Huawei Mate 20 X
Re: Installation der MTB-Profile von Zossenbart und Poutnik
« Reply #2 on: September 05, 2019, 08:07:14 »
Es hat sich etwas geändert. Vor ein paar Wochen hat ja Brouter plötzlich nach einem Speicherpfad gefragt.
Bei mir ist es nun so: Die Segments4-Dateien liegen auf der ext SD, während Locus die brf-Dateien scheinbar nur aus der internen SD/brouter/profiles2 ausliest.
My BRouter profiles, based on Poutnikls: https://tiny.cc/brouterbrf
 

Offline Mips

  • Apprentice of Locus
  • **
  • Posts: 130
  • Thanked: 17 times
    • View Profile
  • Device: S5 Neo
Re: Installation der MTB-Profile von Zossenbart und Poutnik
« Reply #3 on: September 05, 2019, 09:25:29 »
Quote
Vor ein paar Wochen hat ja Brouter plötzlich nach einem Speicherpfad gefragt
Die Pfadabfrage beim erstmaligen Start von BRouter gab's nach meiner Erinnerung schon immer.

Quote
Ich habe die *.brf-Dateien in den Brouter->profile2 Ordner auf dem Smartphone kopiert.
Wo befindet sich bei Dir denn dieses Verzeichnis, auf der externen SDCard?
Falls Du die Playstore-Version hast, wie @zossebart schon anmerkte, lösche diese und probiere es mal mit der Originalversion.
http://brouter.de/brouter_bin/brouter_1_5_5.zip
Installiere dann die BRouter_api10.apk und teste es noch einmal.

Gruß
Mips
 

Offline Curiosus

  • Newbie
  • *
  • Posts: 4
    • View Profile
  • Device: Samsung Galaxy A3
Re: Installation der MTB-Profile von Zossenbart und Poutnik
« Reply #4 on: September 05, 2019, 12:18:00 »
@zossebart, @Mips:
Vielen Dank für Eure Tipps.
Ich habe die Playstore-Version gelöscht und die von MIPS verlinkte BRouter_api10.apk installiert. Dabei nutze ich den Standardpfad. Damit klappt alles wieder einwandfrei.

Es ist ein wenig verwirrend. die apk-Datei enthält die selbe Versionsnummer von Brouter, nämlich v1.5.5. Wieso die Funktionsunterschiede?
Dazu ist zu beachten, dass sich in der von MIPS verlinkten zip-Datei 2 apk-Dateien befinden:
  • BRouter_api10.apk
  • BRouter_api28.apk
Die beilegende readme_apk_api_level.txt erklärt dazu:
Quote
This release contains 2 versions of the APK for Android:

- BRouter_api28.apk is the version intended for upload on GooglePlay Store
  It is not fully functional due to security restrictions

- BRouter_api10.apk is the classic version that allows
  access to the waypoint databases of the map-tools (Locus/Osmand/Orux)
Wenn ich das richtig verstanden habe, ist die BRouter_api28.apk die PlayStore-Version, die wegen Sicherheitseinschränkungen nicht über den vollen Funktionsumfang verfügt.
Daraus folgt -> die BRouter_api10.apk installieren.
Torpediert das dann das Sicherheitskonzept meines Smartphones? (Samsung Galaxy A3 2017 mit Android 8.1)

Gruß,  Curio
 

Offline Mips

  • Apprentice of Locus
  • **
  • Posts: 130
  • Thanked: 17 times
    • View Profile
  • Device: S5 Neo
Re: Installation der MTB-Profile von Zossenbart und Poutnik
« Reply #5 on: September 05, 2019, 13:40:21 »
Quote
Wenn ich das richtig verstanden habe, ist die BRouter_api28.apk die PlayStore-Version, die wegen Sicherheitseinschränkungen nicht über den vollen Funktionsumfang verfügt.
Ja.
Quote
Torpediert das dann das Sicherheitskonzept meines Smartphones? (Samsung Galaxy A3 2017 mit Android 8.1
Darüber habe ich noch nichts gehört  ;).
Google schreibt dazu:
Quote
Erfüllen Sie die Anforderungen von Google Play an das API-Level.

Wenn Sie ein APK hochladen, muss es den Anforderungen von Google Play an die API-Ebene entsprechen:
    Neue Apps müssen mindestens Android 9.0 (API Level 28) entsprechen.
    Ab dem 1. November 2019 müssen App-Updates mindestens auf Android 9.0 ausgerichtet sein.
    Bis zu diesem Zeitpunkt müssen App-Updates mindestens auf Android 8.0 (API Level 26) ausgerichtet
    sein.
Übersetzt mit www.DeepL.com/Translator
Diese Forderungen gelten also nur für Apps aus dem Playsore und dort auch nur für die neu eingestellten, ältere Apps und andere Quellen (Bsp.: FDroid) sind davon nicht betroffen.

Gruß
Mips
 

Offline zossebart

  • Apprentice of Locus
  • **
  • Posts: 157
  • Thanked: 20 times
    • View Profile
  • Device: Sony Z1 Compact
Re: Installation der MTB-Profile von Zossenbart und Poutnik
« Reply #6 on: September 12, 2019, 13:31:59 »
Hallo,

ich nutze diesen Thread gleich mal, um nach Feedback zu meinem MTB-Profil zu fragen. Es scheint ja mittlerweile von einigen Bikern angefragt und vielleicht auch verwendet zu werden. Ich hab noch einige ToDo's auf meiner Liste, wollte aber vorher erstmal Rückmeldungen von anderen Mountainbikern einholen, was vieleicht angepasst oder verbessert werden kann.

Feedback bitte an zossebart@googlemail.com, als PM hier im Forum oder als Issue auf Github.

Danke!